*THIS FILE PRODUCES MOST RESULTS FROM THE PAPER (SOME WERE PRODUCED IN EXCEL)
*-----------------------------------------------------------------------------

*Table A1

use "C:\Inequality\ecandpolsaug2017\Final data etc Aug 2017\issp 2009 workingf.dta", clear 
*for frequencies
tab country V54 if issp==1 [aw=WEIGHT], row nofreq missing
*for totals
tab country V54 if issp==1, missing

*Table 1

tab country gininetright45 [aw=WEIGHT] if issp==1, row nofreq missing
tab country ginimarketright45 [aw=WEIGHT] if issp==1, row nofreq missing


*The rate is not simply 20 percent in the first case because Ginis for options D and E are combined. Denote the frequencies with which 
*(A), (B), (C), and (D or E) are correct as, respectively, a, b, c, and d. The proportion correct under random choice is: .2a + .2b + .2c + .4d.
*Using pre-tax-and-transfers Ginis, for this group of countries: a = .863, b = .101 , c = .036, and d = 0; for post-tax-and-transfers Ginis: 
*a = .213, b = .256 , c = .379, and d = .153. 

tab  rightgini [aw=WEIGHT] if issp==1
tab  rightginimkt [aw=WEIGHT] if issp==1

*diagram with Gini closest--or if Gini between two diags, either of these

*Denoting the correct Gini g, the proportion correct under random choice (combining options D and E) is: .2*Pr(g > .35) + .2*Pr(.30 < g < .42) + .2*Pr(.21 < g < .35) + .4*(g < .3), where Pr(x) denotes the frequency with which expression x was true for ISSP respondents. 

tab arightbtwnet if issp==1
tab brightbtwnet if issp==1
tab crightbtwnet if issp==1
tab derightbtwnet if issp==1
tab arightbtwmkt if issp==1
tab brightbtwmkt if issp==1
tab crightbtwmkt if issp==1
tab derightbtwmkt if issp==1

tab country gininetbtw45 [aw=WEIGHT] if issp==1, row nofreq missing
tab country ginimktbtw45 [aw=WEIGHT] if issp==1, row nofreq missing

*within one place of the right one

tab country gininetclose45 [aw=WEIGHT] if issp==1, row nofreq missing
tab country ginimktclose45 [aw=WEIGHT] if issp==1, row nofreq missing

*correct under either post or pre-tax income assumption
gen rightpostormkt = 0
replace rightpostormkt=1 if gininetright45==1|ginimarketright45==1
tab rightpostormkt [aw=WEIGHT] if issp==1

*with different gaps between bars:

tab country gininetrighta45 [aw=WEIGHT] if issp==1, row nofreq missing
tab country ginimarketright45a [aw=WEIGHT] if issp==1, row nofreq missing

tab country gininetrightb45 [aw=WEIGHT] if issp==1, row nofreq missing
tab country ginimarketright45b [aw=WEIGHT] if issp==1, row nofreq missing

tab country gininetrightc45 [aw=WEIGHT] if issp==1, row nofreq missing
tab country ginimarketright45c [aw=WEIGHT] if issp==1, row nofreq missing

*with gap between bars based on the actual inequality level
tab country gininetvar [aw=WEIGHT] if issp==1, row nofreq missing
tab country ginimktvar [aw=WEIGHT] if issp==1, row nofreq missing

*not combining types D and E
tab country gininetright [aw=WEIGHT] if issp==1, row nofreq missing
tab country ginimarketright [aw=WEIGHT] if issp==1, row nofreq missing

*for Ukraine
tab  V54 [aw=WEIGHT] if country=="Ukraine", missing 

*For Figure A1
collapse (mean) avimpgini gininet100 ccode [aw=WEIGHT], by(country)
cor avimpgini gininet100
cor avimpgini gininet100 if country~="Philippines"&country~="South Africa"&country~="Chile"&country~="China"
spearman avimpgini gininet100


*For Table A2

use "C:\Inequality\ecandpolsaug2017\Final data etc Aug 2017\issp 2009 workingf.dta", clear

collapse (mean) doctoractual ceoactual shopassactual factactual cabminactual docyrdoll ceoyrdoll shopyrdoll factyrdoll cabminyrdoll docmore33 ceomore33 shopmore33 factmore33 cabmore33 docratio ceoratio shopassratio factratio cabminratio [aw=WEIGHT] if beftax==1, by(country)
list country doctoractual ceoactual shopassactual factactual cabminactual, clean noobs

*Table A3
list country shopassratio shopmore33 factratio factmore33 docratio docmore33 cabminratio cabmore33 ceoratio ceomore33, clean noobs compress


*for Table A5, EU 741 2010

use "C:\Inequality\ecandpolsaug2017\Final data etc Aug 2017\EUBarometer 741 2010 workf.dta", clear

tab country pov10off [aw=v8], nofreq row
tab country pov10off [aw=v8], nofreq row missing

*Table 2
*correlations

use "C:\Inequality\ecandpolsaug2017\Final data etc Aug 2017\bigf.dta", clear
pwcorr ginimarket100 gininet100 posttax9010 cswealthgini2010 cswealthtop102009 avimpgini diaga ord ceofact


*LiTS 
use "C:\Inequality\ecandpolsaug2017\Final data etc Aug 2017\lits2010f.dta", clear

*Figure A2
histogram q227 if q227>0, by(country) percent

tab country_ q227 [aw=weight], row nofreq missing
gen midtwo = 0
replace midtwo=1 if q227==5|q227==6
replace midtwo=. if q227<1|q227>10
tab country_ midtwo [aw=weight], row nofreq missing

*WVS
use "C:\Inequality\WVS5workingf.dta", clear

tab country bothalf [aw=V259], row  nofreq
tab country V253 [aw=V259], row nofreq
tab V253 [aw=V259] if V253>0

*Table A10

use "C:\Inequality\ecandpolsaug2017\Final data etc Aug 2017\lits2010f.dta", clear
gen sixco = 0
replace sixco=1 if country_=="Azerbaijan               "|country_=="Belarus                  "|country_=="Kazakhstan               "|country_=="Kyrgyzstan               "|country_=="Moldova                  "|country_=="Ukraine                  "
tab country_ q225a [aw=weight] if sixco==1, row nofreq 

gen owncar = 0
replace owncar=1 if q225a==1
tab country_ q227 if owncar==1&sixco==1 [aw=weight], row nofreq missing  

gen bothalfse = 0
replace bothalfse = 1 if q227<6&q227>=0
tab country_ bothalfse if owncar==1&sixco==1 [aw=weight], row nofreq missing  
bysort country_: ci means bothalfse if owncar==1&sixco==1 [aw=weight]


*Table A11

tab country_ q225b [aw=weight], row nofreq
tab country_ q227 [aw=weight] if q225b==1 , row nofreq missing  
bysort country_: ci means bothalfse if q225b==1 [aw=weight]


*Table A12

gen carsechome = 0
replace carsechome =1 if q225a==1&q225b==1
replace carsechome=. if q225a<0|q225b<0|(q225a==.&q225b==.)

tab country_ carsechome [aw=weight], row nofreq
tab country_ q227 if carsechome==1 [aw=weight], row nofreq  
bysort country_: ci means bothalfse if carsechome==1 [aw=weight]


*Table A13

gen incsupp=0
replace incsupp=1 if q813d==1
replace incsupp=. if q813d==3|q813d==-1
tab country_ incsupp [aw=weight], row nofreq
tab country_ q227 if incsupp==1 [aw=weight], row nofreq

gen abovebot2 = 0
replace abovebot2=1 if q227>2&q227<11
  
bysort country_: ci mean abovebot2 if incsupp==1 [aw=weight]

tab q812_4 [aw=weight] if country_=="Italy                    "
tab q227 if q812_4==1&country_=="Italy                    " [aw=weight] 
ci mean abovebot2 if q812_4==1&country_=="Italy                    " [aw=weight] 

*Table 4
*LiTS

gen inctop60 = 0
replace inctop60=1 if q227>4&q227<11

tab country_ q804a [aw=weight], row nofreq missing
tab country_ q227 if q804a==1 [aw=weight], row nofreq
bysort country_: ci mean inctop60 if q804a==1 [aw=weight]


*WVS
use "C:\Inequality\ecandpolsaug2017\Final data etc Aug 2017\WVS6workf.dta", clear
*gone without food self-positioning on 10-step scale:
gen foodofsome = 0
replace foodofsome=1 if V188==1|V188==2
gen inctop60 = 0
replace inctop60=1 if V239>4&V239<11

gen above30k=0
replace above30k=1 if country=="Australia"|country=="Bahrain"|country=="Germany"|country=="Hong Kong"|country=="Japan"|country=="Netherlands"|country=="New Zealand"|country=="Qatar"|country=="Singapore"|country=="South Korea"|country=="Spain"|country=="Sweden"|country=="Trinidad and Tobago"|country=="United States"

tab country foodofsome [aw=V258] if above30k==1, row nofreq missing
tab country V239 if foodofsome==1&above30k==1 [aw=V258], row nofreq
bysort country: ci mean inctop60 if foodofsome==1&above30k==1 [aw=V258]


*Table A15
use "C:\Inequality\ecandpolsaug2017\Final data etc Aug 2017\Pew spring 2013 workf.dta", clear
tab COUNTRY Q24 [aw=WEIGHT], row nofreq missing

use "C:\Inequality\swiidworkf.dta", clear
mi xtset ccode year
gen d0712mkt = avginimkt - l5.avginimkt
keep if year==2012
gen str16 mktchange12 =""
replace mktchange12 = "Increased" if d0712mkt>1
replace mktchange12 = "Decreased" if d0712mkt<-1
replace mktchange12= "Same" if d0712mkt>=-1&d0712mkt<=1
drop year
sort country
list country d0712mkt mktchange12, clean noobs
save "C:\Inequality\swiidwork12.dta", replace


*Table A16
*Pew 2002

use "C:\Inequality\ecandpolsaug2017\Final data etc Aug 2017\swiidworkf.dta", clear
mi xtset ccode year
gen d9601mkt = avginimkt - l5.avginimkt
keep if year==2001
gen str16 mktchange01 =""
replace mktchange01 = "Increased" if d9601mkt>1
replace mktchange01 = "Decreased" if d9601mkt<-1
replace mktchange01= "Same" if d9601mkt>=-1&d9601mkt<=1
drop year
sort country
list country d9601mkt mktchange01, clean noobs

*For Figure A3
use "C:\Inequality\ecandpolsaug2017\Final data etc Aug 2017\EUBarometer 741 2010 workf.dta", clear
tab country povinc [aw=v8], row nofreq missing
tab country v89 [aw=v8], row nofreq missing
*then this used in Excel to make graph.

*Tables 5 and 6 individual level regressions
use "C:\Inequality\ecandpolsaug2017\Final data etc Aug 2017\issp 2009 workingf.dta", clear
gen lngdp = ln(rgdpepc)
gen male = 0
replace male = 1 if SEX==1
replace male=. if SEX~=1&SEX~=2
gen married = 0
replace married = 1 if MARITAL==1
replace married =. if MARITAL==.n
gen highed = 0
replace highed=1 if DEGREE==4|DEGREE==5
replace highed=. if DEGREE==.
gen left =.
replace left=1 if PARTY_LR==1|PARTY_LR==2
replace left = 0 if PARTY_LR>2&PARTY_LR<8
gen center=.
replace center=1 if PARTY_LR==3
replace center=0 if PARTY_LR==1|PARTY_LR==2|PARTY_LR==4|PARTY_LR==5|PARTY_LR==6|PARTY_LR==7

*For Table A19, without multiple imputation

oprobit govshould ginimarket100 [aw=WEIGHT], cluster(ccode)
est store i1
oprobit govshould gininet100 [aw=WEIGHT], cluster(ccode)
est store i2
oprobit govshould impgini [aw=WEIGHT], cluster(ccode)
est store i3
oprobit govshould avimpgini impgini [aw=WEIGHT], cluster(ccode)
est store i4
oprobit govshould gininet100 avimpgini impgini  [aw=WEIGHT], cluster(ccode)
est store i5
oprobit govshould gininet100 avimpgini impgini lngdp lnpop male AGE married highed left center [aw=WEIGHT], cluster(ccode)
est store i6

esttab i1 i2 i3 i4 i5 i6, stats(N r2_p) b(%7.2f) se title("Table A19: Inequality perceptions and support for government redistribution")

oprobit richpoorconf ginimarket100 [aw=WEIGHT], cluster(ccode)
est store i21
oprobit richpoorconf gininet100 [aw=WEIGHT], cluster(ccode)
est store i22
oprobit richpoorconf impgini [aw=WEIGHT], cluster(ccode)
est store i23
oprobit richpoorconf avimpgini impgini [aw=WEIGHT], cluster(ccode)
est store i24
oprobit richpoorconf gininet100 avimpgini impgini  [aw=WEIGHT], cluster(ccode)
est store i25
oprobit richpoorconf gininet100 avimpgini impgini lngdp lnpop male AGE married highed left center [aw=WEIGHT], cluster(ccode)
est store i26

esttab i21 i22 i23 i24 i25 i26, stats(N r2_p) b(%7.2f) se title("Table A19: Inequality perceptions and perceived tension between rich and poor")


*Tables 5 and 6 country level regressions
collapse (mean) ccode govshould richpoorconf ginimarket100 gininet100 impgini lngdp lnpop growth09wdi tradegdp09 left center [aw=WEIGHT], by(country)

reg govshould ginimark, rob
est store c11
reg govshould gininet, rob
est store c12
reg govshould impgini, rob
est store c13
reg govshould  gininet impgini, rob
est store c14
reg govshould  gininet impgini lngdp lnpop, rob
est store c15

esttab c11 c12 c13 c14 c15, stats(N r2) b(%7.2f) se title("Table 8: Inequality perceptions and support for government redistribution, Panel A") nogaps

label var ginimarket100 "Gini (pre-tax-and-transfers)"
label var gininet100 "Gini (post-tax-and-transfers)"
label var impgin "Perceived Gini (respondent)"
label var lngdp "Ln GDP per capita"
label var lnpop "Ln population"
label var left "Respondent identified with Left-wing party"
label var center "Respondent identified with center party"

esttab c11 c12 c13 c14 c15 using example.tex, booktabs label stats(N r2) b(%7.2f) se title("Table 4: Inequality perceptions and support for government redistribution, Panel A") nogaps varlabels(_cons Constant) replace wrap varwidth(26) modelwidth(4) nolz mgroups("(A) Country level, OLS: average response where 5 = 'strongly agree,' 1 = 'strongly disagree'", ) nolegend

reg richpoorconf ginimark, rob
est store c21
reg richpoorconf gininet, rob
est store c22
reg richpoorconf impgini, rob
est store c23
reg richpoorconf gininet impgini, rob
est store c24
reg richpoorconf gininet impgini lngdp lnpop, rob
est store c25

esttab c21 c22 c23 c24 c25, stats(N r2) b(%7.2f) se title("Table 9: Inequality perceptions and perceived tension between rich and poor, Panel A") nogaps


*If we split the variation in the perceived Gini into two parts—that which is correlated with the actual post-tax-and-transfer Gini and that which is 
*not—and put both into the Table 5 regressions, both are significant (not shown). 

reg impgini gininet
predict imphat, xb
predict impres, res
reg richpoorconf imphat impres lngdp lnpop, rob


*with growth and trade, for Table A18

reg govshould  gininet impgini lngdp lnpop growth trade, rob
est store q1
reg richpoorconf gininet impgini lngdp lnpop growth trade, rob
est store q2
esttab q1 q2, stats(N r2) b(%7.2f) se nogaps


*Individual level regressions, with multiple imputation
use "C:\Inequality\ecandpolsaug2017\Final data etc Aug 2017\issp 2009 workingf.dta", clear
gen lngdp = ln(rgdpepc)
gen male = 0
replace male = 1 if SEX==1
replace male=. if SEX~=1&SEX~=2
gen married = 0
replace married = 1 if MARITAL==1
replace married =. if MARITAL==.n
gen highed = 0
replace highed=1 if DEGREE==4|DEGREE==5
replace highed=. if DEGREE==.
gen left =.
replace left=1 if PARTY_LR==1|PARTY_LR==2
replace left = 0 if PARTY_LR>2&PARTY_LR<8
gen center=.
replace center=1 if PARTY_LR==3
replace center=0 if PARTY_LR==1|PARTY_LR==2|PARTY_LR==4|PARTY_LR==5|PARTY_LR==6|PARTY_LR==7
keep idno govshould gininet100 ginimarket100 avimpgini impgini lngdp lnpop left center growth09wdi tradegdp09 male AGE married highed richpoorconf ccode WEIGHT 
replace AGE = . if AGE==.n
save "C:\Inequality\ecandpolsaug2017\Final data etc Aug 2017\isspmi.dta", replace
outsheet using "C:\Inequality\ecandpolsaug2017\isspmi.csv", comma replace nolabel

*Impute with Amelia. Then do "after imp.do"
use "C:\Inequality\ecandpolsaug2017\Final data etc Aug 2017\imputed issp working files\isspmi-imp1.dta", clear
mi import flongsep isspimp, using("C:\Inequality\ecandpolsaug2017\isspmi-imp1.dta" "C:\Inequality\ecandpolsaug2017\isspmi-imp2.dta" "C:\Inequality\ecandpolsaug2017\isspmi-imp3.dta" "C:\Inequality\ecandpolsaug2017\isspmi-imp4.dta" "C:\Inequality\ecandpolsaug2017\isspmi-imp5.dta" "C:\Inequality\ecandpolsaug2017\isspmi-imp6.dta" "C:\Inequality\ecandpolsaug2017\isspmi-imp7.dta" "C:\Inequality\ecandpolsaug2017\isspmi-imp8.dta" "C:\Inequality\ecandpolsaug2017\isspmi-imp9.dta" "C:\Inequality\ecandpolsaug2017\isspmi-imp10.dta") id(id) imputed(avimpgini impgini ginimarket100 gininet100 lngdp lnpop  growth09wdi tradegdp09 male AGE married highed left center richpoorconf ccode WEIGHT)
mi convert mlong

*For Tables 4 and 5

eststo clear

mi estimate, cmdok post :oprobit govshould ginimarket100 [aw=WEIGHT], cluster(ccode)
est store y1
mi estimate, cmdok post :oprobit govshould gininet100 [aw=WEIGHT], cluster(ccode)
est store y2
mi estimate, cmdok post :oprobit govshould impgini [aw=WEIGHT], cluster(ccode)
est store y3
mi estimate, cmdok post :oprobit govshould avimpgini impgini [aw=WEIGHT], cluster(ccode)
est store y4
mi estimate, cmdok post :oprobit govshould gininet100 avimpgini impgini  [aw=WEIGHT], cluster(ccode)
est store y5
mi estimate, cmdok post :oprobit govshould gininet100 avimpgini impgini lngdp lnpop male AGE married highed left center [aw=WEIGHT], cluster(ccode)
est store y6

esttab y1 y2 y3 y4 y5 y6, stats(N r2_p) b(%7.2f) se title("Table 4: Inequality perceptions and support for government redistribution, Panel B") nogaps

mi estimate, cmdok post : oprobit richpoorconf ginimarket100 [aw=WEIGHT], cluster(ccode)
est store y21
mi estimate, cmdok post : oprobit richpoorconf gininet100 [aw=WEIGHT], cluster(ccode)
est store y22
mi estimate, cmdok post : oprobit richpoorconf impgini [aw=WEIGHT], cluster(ccode)
est store y23
mi estimate, cmdok post : oprobit richpoorconf avimpgini impgini [aw=WEIGHT], cluster(ccode)
est store y24
mi estimate, cmdok post : oprobit richpoorconf gininet100 avimpgini impgini  [aw=WEIGHT], cluster(ccode)
est store y25
mi estimate, cmdok post : oprobit richpoorconf gininet100 avimpgini impgini lngdp lnpop male AGE married highed left center [aw=WEIGHT], cluster(ccode)
est store y26

esttab y21 y22 y23 y24 y25 y26, stats(N r2_p) b(%7.2f) se title("Table 5: Inequality perceptions and perceived tension between rich and poor, Panel B") nogaps


*with growth and trade, for Table A18
mi estimate, cmdok post :oprobit govshould gininet100 avimpgini impgini lngdp lnpop  growth09wdi tradegdp09 male AGE married highed left center [aw=WEIGHT], cluster(ccode)
est store q3
mi estimate, cmdok post : oprobit richpoorconf gininet100 avimpgini impgini lngdp lnpop growth09wdi tradegdp09 male AGE married highed left center [aw=WEIGHT], cluster(ccode)
est store q4
esttab q3 q4, stats(N r2) b(%7.2f) se nogaps


*Eurobarometer for Table A20
use "C:\Inequality\ecandpolsaug2017\Final data etc Aug 2017\ebf.dta", clear 

reg ebrichpoor ginimark, rob
est store a11
reg ebrichpoor gininet, rob
est store a12
reg ebrichpoor impgini, rob
est store a13
reg ebrichpoor  gininet impgini, rob
est store a14
reg ebrichpoor  gininet impgini lnrgdpe lnpop, rob
est store a15

esttab a11 a12 a13 a14 a15, stats(N r2) b(%7.2f) se title("Table 10: Inequality perceptions and perceived social conflict, Eurobarometer 2009, country level, OLS, Panel A") nogaps

reg ebmanwork ginimark, rob
est store b11
reg ebmanwork gininet, rob
est store b12
reg ebmanwork impgini, rob
est store b13
reg ebmanwork  gininet impgini, rob
est store b14
reg ebmanwork  gininet impgini lnrgdpe lnpop, rob
est store b15

esttab b11 b12 b13 b14 b15, stats(N r2) b(%7.2f) se title("Table 10: Inequality perceptions and perceived social conflict, Eurobarometer 2009, country level, OLS, Panel B") nogaps


*individual level regressions
*Tables A21 and A22
use "C:\Inequality\ecandpolsaug2017\Final data etc Aug 2017\EUBarometer 741 2010 workf.dta", clear
gen lnpop=ln(pop2009)

oprobit govpovpol eurostatpov10 [aw=v8], cluster(ccode)
est store i1
oprobit govpovpol pov20more [aw=v8], cluster(ccode)
est store i2
oprobit govpovpol eurostatpov10 pov20more [aw=v8], cluster(ccode)
est store i3
oprobit govpovpol eurostatpov10 pov20more lnrgdpe lnpop male age married i.educi [aw=v8], cluster(ccode)
est store i4

esttab i1 i2 i3 i4, stats(N r2_p) b(%7.2f) se 

oprobit poorrich eurostatpov10 [aw=v8], cluster(ccode)
est store a1
oprobit poorrich pov20more [aw=v8], cluster(ccode)
est store a2
oprobit poorrich eurostatpov10 pov20more [aw=v8], cluster(ccode)
est store a3
oprobit poorrich eurostatpov10 pov20more lnrgdpe lnpop male age married i.educi [aw=v8], cluster(ccode)
est store a4

esttab a1 a2 a3 a4, stats(N r2_p) b(%7.2f) se title("Table A7, Panel B")


*country level regressions
replace ccode=255 if ccode==260|ccode==265
replace country="Germany" if ccode==255
collapse (mean) ccode govpovpol poorrich eurostatpov10 pov20more lnrgdpe lnpop [aw=v8], by(country)

gen pov20more100=100*pov20more

reg govpovpol eurostatpov10, rob
est store c1
reg govpovpol pov20more100, rob
est store c2
reg govpovpol  eurostatpov10 pov20more100, rob
est store c3
reg govpovpol  eurostatpov10 pov20more100 lnrgdpe lnpop, rob
est store c4

esttab c1 c2 c3 c4, stats(N r2) b(%7.2f) se

reg poorrich eurostatpov10, rob
est store d1
reg poorrich pov20more, rob
est store d2
reg poorrich  eurostatpov10 pov20more, rob
est store d3
reg poorrich  eurostatpov10 pov20more lnrgdpe lnpop, rob
est store d4

esttab d1 d2 d3 d4, stats(N r2) b(%7.2f) se 

*elections within 6 months of polling
use "C:\Inequality\ecandpolsaug2017\Final data etc Aug 2017\issp 2009 workingf.dta", clear 
tab country gininetright45 [aw=WEIGHT] if issp==1&(country=="Australia"|country=="Austria"|country=="Bulgaria"|country=="Croatia"|country=="Hungary"|country=="Japan"|country=="Norway"|country=="Poland"|country=="Portugal"|country=="Slovak Republic"|country=="United Kingdom"|country=="United States"|country=="Venezuela"), row nofreq missing
tab country ginimarketright45 [aw=WEIGHT] if issp==1 &(country=="Australia"|country=="Austria"|country=="Bulgaria"|country=="Croatia"|country=="Hungary"|country=="Japan"|country=="Norway"|country=="Poland"|country=="Portugal"|country=="Slovak Republic"|country=="United Kingdom"|country=="United States"|country=="Venezuela"), row nofreq missing


